import React, { FunctionComponent, ReactElement } from "react";
import Header from "../Header/Header";
import ILayoutProps from "./ILayoutProps";
import styles from './Layout.module.css'


const Layout: FunctionComponent<ILayoutProps> = (props): ReactElement => {
    return (
        <div className={styles.Layout}>
            <Header />
            <main>
                {props.children}
            </main>
        </div>
    )
}

export default Layout