import React, { FunctionComponent, ReactElement } from "react";
import IProductItemProps from "./IProductItemProps";
import styles from './ProductItem.module.css'
import defaultImage from '../../assets/images/default.jpg'
import { AppDispatch } from "../../store/store";
import { useDispatch } from "react-redux";
import { deleteProductById } from "../../store/products/products.slice";

const ProductItem: FunctionComponent<IProductItemProps> = (props): ReactElement => {
    const dispatch: AppDispatch = useDispatch()
    const deleteHandler = (): void => {
        dispatch(deleteProductById(props.product._id))
    }
    return (
        <div className={styles.ProductItem}>
            <div className={styles.ProductItem__imageFrame}>
                <img 
                    className={styles.ProductItem__image}
                    src={`${import.meta.env.VITE_BASE_URL}uploads/${props.product.image}`} 
                    alt={props.product.product}
                    onError={(e) => {
                        e.currentTarget.src = defaultImage
                    }} 
                />
            </div>
            <h3>{props.product.product}</h3>
            <p>{props.product.description}</p>
            <p>{props.product.price}</p>

            <div className={styles.ProductItem__btnBlock}>
                <button>Details</button>
                <button>Edit</button>
                <button onClick={deleteHandler}>Delete</button>
            </div>
        </div>
    )
}

export default ProductItem