import React, { FunctionComponent, ReactElement } from "react";
import ProductItem from "../ProductItem/ProductItem";
import IProductListProps from "./IProductsListProps";
import styles from './ProductsList.module.css'


const ProductsList: FunctionComponent<IProductListProps> = (props): ReactElement => {
    return (
        <div className={styles.ProductsList}>
            {props.products.length ? 
                props.products.map(p => {
                    return <ProductItem 
                        key={p._id}
                        product={p}
                    />
                })
            : <h1>No products</h1>}
        </div>
    )
}

export default ProductsList