import React, { FunctionComponent, ReactElement, useEffect } from "react";
import { shallowEqual, useDispatch, useSelector } from "react-redux";
import ProductsList from "../../components/ProductsList/ProductsList";
import { getProducts } from "../../store/products/products.slice";
import { AppDispatch, AppState } from "../../store/store";
import styles from './ProductsPage.module.css'


const ProductsPage: FunctionComponent = (): ReactElement => {
    const dispatch: AppDispatch = useDispatch()
    const {products} = useSelector((state: AppState) => state.products, shallowEqual)
    
    useEffect(() => {
        dispatch(getProducts())
    }, [])
    return (
        <div className={styles.ProductsPage}>
            <ProductsList 
                products={products}
            />
        </div>
    )
}

export default ProductsPage